- Qt 6.10
- Qt Serial Bus
- C++ Classes
- QModbusTcpConnectionObserver
- Qt 6.10.2 Reference Documentation

# QModbusTcpConnectionObserver Class

The QModbusTcpConnectionObserver class represents the interface for objects that can be passed to QModbusTcpServer::installConnectionObserver. More...

Header: | `#include <QModbusTcpConnectionObserver>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS SerialBus)` `target_link_libraries(mytarget PRIVATE Qt6::SerialBus)`
qmake: | `QT += serialbus`

- List of all members, including inherited members

## Public Functions

virtual bool | acceptNewConnection(QTcpSocket *newClient) = 0

## Detailed Description

The interface must be implemented by the developer to be able to monitor every incoming TCP connection from another Modbus client.

See also QModbusTcpServer::installConnectionObserver.

## Member Function Documentation

### `[pure virtual]` bool QModbusTcpConnectionObserver::acceptNewConnection(QTcpSocket *newClient)

This function is a callback for every incoming TCP connection. The user should provide newClient to receive a notification when a new client connection is established and to determine whether the connection is to be accepted.

The function should return `true` if the connection is to be accepted. Otherwise, the socket is closed/rejected.